%------------------------------------------
label='Lateral Axis Simulation, 1 deg Direction Command with Gust at 20 sec';
LTime='Time (sec)';
%------------------------------------------
figure (1)
subplot(2,2,1), plot(time,Xi, 'LineWidth',1.5); grid ON
title(label)
ylabel('Flight Direction Xi (deg)')

subplot(2,2,2), plot(time,phi,'LineWidth',1.5); grid ON
ylabel('Phi (deg)')

subplot(2,2,4), plot(time,psi,'LineWidth',1.5); grid ON
ylabel('Psi (deg)')
xlabel(LTime)

subplot(2,2,3), plot(time,beta, time,beta_vn, 'LineWidth',1.5); grid ON
ylabel('beta_{inert}, beta_{estim} (deg)')
legend('Beta_{Inert}','Beta_{Wind}');
xlabel(LTime)
%------------------------------------------
figure (2)
subplot(2,2,1), plot(time,dail, 'LineWidth',1.5); grid ON
title(label)
ylabel('delta-aileron (deg)')

subplot(2,2,2), plot(time,drud,'LineWidth',1.5); grid ON
ylabel('delta-rudder (deg)')

subplot(2,2,3), plot(time,p,'LineWidth',1.5); grid ON
ylabel('roll rate (deg/sec)')
xlabel(LTime)

subplot(2,2,4), plot(time,r, 'LineWidth',1.5); grid ON
ylabel('yaw rate (deg/sec)')
xlabel(LTime)
%------------------------------------------
figure (3)
subplot(2,2,1), plot(time,Ny,'LineWidth',1.5); grid ON
title(label)
ylabel('Lateral Accel Ny (ft/sec^2)')

subplot(2,2,2), plot(time,beta, time,beta_vn, 'LineWidth',1.5); grid ON
ylabel('beta_{inert}, beta_{estim} (deg)')
legend('Beta_{Inert}','Beta_{Wind}');

subplot(2,2,3), plot(time,Vcr,'LineWidth',1.5); grid ON
ylabel('Cross Range Veloc (ft/sec)')
xlabel(LTime)

subplot(2,2,4), plot(time,Vgst, 'LineWidth',1.5); grid ON
ylabel('Gust Veloc (ft/sec)')
xlabel(LTime)
%------------------------------------------
